#include <stddef.h> /* NULL */
#include <sysexits.h> /* EX_USAGE */
#include <unistd.h> /* execv(3), write(2) */
#include "libio.h" /* fdprint(3) */

static char *program_name = "simexec";

int main(int argc, char *argv[]){

	if(argc < 2){
		write(2, "Usage: ", 7);
		if(argv[0] == NULL)
			argv[0] = program_name;
		fdprint(2, argv[0]);
		write(2, " [pathname] [argv...]\n", 22);
		return EX_USAGE;
	}

	return execv(argv[1], argv+2);
}
