#include <stdio.h> /* fprintf(3) */
#include <stdlib.h> /* stderr, stdin, stdout */
#include <sysexits.h> /* EX_USAGE */

static char *program_name = "streq";

int main(int argc, char *argv[]){
	int i;
	int j;

	if(argc < 3){
		fprintf(stderr, "Usage: %s [string] [string...]\n",
			argv[0] == NULL ? program_name : argv[0]);
		return EX_USAGE;
	}

	/* i is the arg index, j is the char index */
	for(j = 0; argv[1][j] != '\0'; ++j)
		for(i = 2; i < argc; ++i)
			if(argv[i-1][j] != argv[i][j])
				return 1;

	return 0;
}
